package com.ruoyi.cs.service.impl;

import java.util.List;

import cn.hutool.core.util.IdUtil;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.stereotype.Service;
import com.ruoyi.cs.mapper.CsOpenRecordMapper;
import com.ruoyi.cs.domain.CsOpenRecord;
import com.ruoyi.cs.service.ICsOpenRecordService;

import javax.annotation.Resource;

/**
 * 开户记录Service业务层处理
 *
 * @author ruoyi
 * @date 2024-05-29
 */
@Service
public class CsOpenRecordServiceImpl implements ICsOpenRecordService
{
    @Resource
    private CsOpenRecordMapper csOpenRecordMapper;

    /**
     * 查询开户记录
     *
     * @param openRecordId 开户记录主键
     * @return 开户记录
     */
    @Override
    public CsOpenRecord selectCsOpenRecordByOpenRecordId(String openRecordId)
    {
        return csOpenRecordMapper.selectCsOpenRecordByOpenRecordId(openRecordId);
    }

    /**
     * 查询开户记录列表
     *
     * @param csOpenRecord 开户记录
     * @return 开户记录
     */
    @Override
    public List<CsOpenRecord> selectCsOpenRecordList(CsOpenRecord csOpenRecord)
    {
        return csOpenRecordMapper.selectCsOpenRecordList(csOpenRecord);
    }

    /**
     * 新增开户记录
     *
     * @param csOpenRecord 开户记录
     * @return 结果
     */
    @Override
    public int insertCsOpenRecord(CsOpenRecord csOpenRecord)
    {
        csOpenRecord.setOpenRecordId(IdUtil.getSnowflakeNextIdStr());
        csOpenRecord.setCreateAt(DateUtils.getNowDate());
        csOpenRecord.setDelFlag("0");
        return csOpenRecordMapper.insertCsOpenRecord(csOpenRecord);
    }

    /**
     * 修改开户记录
     *
     * @param csOpenRecord 开户记录
     * @return 结果
     */
    @Override
    public int updateCsOpenRecord(CsOpenRecord csOpenRecord)
    {
        csOpenRecord.setUpdateAt(DateUtils.getNowDate());
        return csOpenRecordMapper.updateCsOpenRecord(csOpenRecord);
    }

    /**
     * 批量删除开户记录
     *
     * @param openRecordIds 需要删除的开户记录主键
     * @return 结果
     */
    @Override
    public int deleteCsOpenRecordByOpenRecordIds(String[] openRecordIds)
    {
        return csOpenRecordMapper.deleteCsOpenRecordByOpenRecordIds(openRecordIds);
    }

    /**
     * 删除开户记录信息
     *
     * @param openRecordId 开户记录主键
     * @return 结果
     */
    @Override
    public int deleteCsOpenRecordByOpenRecordId(String openRecordId)
    {
        return csOpenRecordMapper.deleteCsOpenRecordByOpenRecordId(openRecordId);
    }

    /**
     * 查询到期的开户记录列表
     *
     * @return
     */
    @Override
    public List<CsOpenRecord> searchOpenRecordList(){
        return csOpenRecordMapper.searchOpenRecordList();
    }

}
